def length(value):
    return len(value)

def upper(value):
    return value.upper()

def lower(value):
    return value.lower()

def list_to_str(l):
    from string import join
    return join([str(item) for item in l], ',')

def spaces(num, indent_level=4):
    return ' ' * (num * indent_level)

def regression_tests(indentation=0):
    from neo.common_testing import test_eq, disp
    disp("Testing istring_std functions...\n", indentation)
    disp("    Testing list_to_str... ", indentation)
    test_eq(list_to_str([1,2,3,4]), '1,2,3,4', 'list_to_str failed for integer input!')
    disp("All tests passed!\n", indentation)

if __name__ == '__main__':
    regression_tests()
